{ config, pkgs, ... }:

{
  home-manager.users.yoda = {

    programs.ssh = {
      enable = true;
      userKnownHostsFile = "~/.ssh/known_hosts ${../assets/ssh/known_hosts}";
      matchBlocks = {
        "nas" = {
          hostname = "p1st.de";
          user = "yoda";
          port = 2222;
          compression = true;

          #identityFile = "pubkey_nitrokey_ssh.pub";
          #identitiesOnly = true;
        };
      };
    };

  };
}
