{ config, pkgs, ... }:

{
  home-manager.users.yoda = {

    programs.zsh = {
      enable = true;
      shellAliases = {
        #ll = "ls -l";
        #update = "sudo nixos-rebuild switch";
      };
      history.size = 1000;
      history.ignoreDups = true;
      #history.ignoreAllDups = true;

      # TODO:
      #   Currently, `config` is my NixOS config. However, I want to access Home Manager's `config`.
      #   I could change home-manager.users.yoda to be a function and take config as an argument there.
      #history.path = "${config.xdg.dataHome}/.histfile";

      oh-my-zsh = {
        enable = true;
        plugins = [
          # Provides many aliases and a few useful functions.
          #"git"
          # Easily prefix your current or previous commands with sudo by pressing `esc` twice.
          #"sudo"
        ];
        #theme = "robbyrussell";
        theme = "agnoster";
      };
    };

  };
}
